Documents

Document Template Get

GET
/documents/template/{documentTemplateGuid}/get

Retrieves a single document template by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentTemplateGuid*string

GUID of the document template.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/documents/template/7c9e6679-7425-40de-944b-e07fc1f90ae7/get"
{  "result": {    "data": {      "documentTemplate": {        "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "name": "Standard Invoice",        "description": "Company standard invoice layout.",        "title": "Invoice",        "urn": "9f86d081-884c-4d30-8934-9c1e6cbcb9f5",        "url": "https://storage.example.com/templates/invoice-standard.docx",        "viewAnonymousLink": "",        "editAnonymousLink": "",        "viewUserLink": "",        "editUserLink": "",        "viewOrganizationLink": "",        "editOrganizationLink": "",        "fileFormat": "docx",        "loadMethod": "Storage",        "path": "templates/invoice-standard.docx",        "createdDate": "2026-07-14T09:30:00.0000000+00:00",        "lastModifiedDate": "2026-07-14T09:30:00.0000000+00:00",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "https://app.example.com",  "dateTime": "2026-07-14T09:30:00.0000000+00:00",  "operationId": "0HN7GK9M4T2R5"}
{  "code": "DATA_NAME_REQUIRED",  "message": "Name is required."}
Empty
Empty
{  "code": "GET_DATA_SOURCE_ERROR",  "message": "An unexpected error occurred.",  "eventId": "a1b2c3d4"}